<template>
    <table class="table table-sm table-hover">
        <thead class="thead-light">
            <tr>
                <th scope="col" style="width: 10%">№ <small class="font-weight-bold">п/п</small></th>
                <th style="width: 30%">Номер</th>
                <th style="width: 30%">Название</th>
                <th style="width: 30%"></th>
            </tr>
        </thead>
        <tbody>
            <BudgetCodeRow
                v-for="(code, index) in codesList"
                :key="code.id"
                :index="index"
                :code="code"
                v-model:isEditPossible="isEditPossible"
                @codeEdited="this.$emit('tableUpdated')"/>
        </tbody>
    </table>
</template>

<script>
    import BudgetCodeRow from './BudgetCodeRow'

    export default {
        name: 'BudgetCodesTable',
        components: { BudgetCodeRow },
        props: {
            municipalityId: Number,
            codeType: String,
            showInactive: Boolean,
            isEditPossible: Boolean,
            codesList: Array
        },
        emits: ['update:isEditPossible', 'tableUpdated']
    }
</script>